Options de la ligne de commande
Précédent |  | Suivant

## Options de la ligne de commande

### Résumé des options

Voici un résumé de toutes les options, regroupées par type. Les explications se trouvent dans les sections suivantes.

Préférences générales

  `-h`, `--help`; `-V`, `--version`; `--disable-server` ; `--default-display=`écran`` ; `--default-working-directory=`répertoire``

Séparateurs de fenêtres ou d'onglets

  `--tab` ; `--window`

Options des onglets

  `-x`, `--execute`; `-e`, `--command=`command``; `--working-directory=`répertoire`` ; `-T`, `--title=`titre``; `-H`, `--hold`

Options des fenêtres

  `--display=`écran`` ; `--geometry=`géométrie`` ; `--role=`rôle`` ; `--startup-id=`chaîne de caractère`` ; `-I, --icon=`icône`` ; `--fullscreen` ; `--maximize` ; `--show-menubar` , `--hide-menubar` ; `--show-borders` , `--hide-borders` ; `--show-toolbars` , `--hide-toolbars`

### Préférences générales

`-h`, `--help`

  Affiche les différentes options pour la ligne de commande supportées par Terminal et quitte

`-V`, `--version`

  Affiche la version et quitte

`--disable-server`

  Ne pas utiliser le service D-BUS

`--default-display=`écran``

  Serveur X par défaut à utiliser.

`--default-working-directory=`répertoire``

  Détermine le `répertoire` comment le répertoire de travail par défaut du terminal

### Séparateurs de fenêtres ou d'onglets

`--tab`

  Ouvre un nouvel onglet dans la dernière fenêtre; cette option peut être spécifiée plus d'une fois.

`--window`

  Ouvre une nouvelle fenêtre avec un onglet; cette option peut être spécifiée plus d'une fois.

### Options des onglets

`-x`, `--execute`

  Exécute le reste de la ligne de commande dans le terminal

`-e`, `--command=`command``

  Exécute `commande` dans le terminal

`--working-directory=`répertoire``

  Détermine le `répertoire` de travail du terminal

`-T`, `--title=`titre``

  Définit le `titre` du terminal

`-H`, `--hold`

  Ne ferme pas le terminal lorsque la commande exécutée se termine

### Options des fenêtres

`--display=`écran``

  Affichage X à utiliser pour la dernière fenêtre.

`--geometry=`géométrie``

  Définis la géométrie de la dernière fenêtre à `géométrie`. Consultez W(7) pour plus d'informations sur la manière de spécifier les géométries d'une fenêtre.

`--role=`rôle``

  Spécifie le rôle de la dernière fenêtre à `rôle`. S'applique seulement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande. C'est principalement utilisé en interne pour la gestion d'une session dans Terminal.

`--startup-id=`chaîne de caractère``

  Spécifie l'ID de notification de démarrage pour la dernière fenêtre. Est utilisé en interne lorsque le service D-BUS est utilisé, pour faire suivre l'ID de notification de démarrage.

`-I, --icon=`icône``

  Définis l'icône du terminak comme le nom d'une icône ou d'un fichier.

`--fullscreen`

  Passe la dernière fenêtre en mode plein écran. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

`--maximize`

  Passe la dernière fenêtre spécifiée en mode maximisé. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

`--show-menubar`

  Affiche la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--hide-menubar`

  Ne pas afficher la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--show-borders`

  Affiche la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--hide-borders`

  Cache la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--show-toolbars`

  Affiche la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--hide-toolbars`

  Cache la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

Précédent |  | Suivant
Préférences | Sommaire | Configuration avancée